#pragma once

#include "NWindowsVersion.h"
#include "NImage.h"
#include "MaskedImage.h"
#include "Audio.h"

class Globals
{
private:
	Globals() {}

public:

	static int GAME_WIDTH;
	static int GAME_HEIGHT;
	static float RENDER_THRESHOLD;

	// Double buffer in case it becomes useful. Right now it's probably just slowing things down.
	static NImage Backbuffer1;
	static NImage Backbuffer2;
	static NImage* Backbuffer;

	static NImage Backdrop;
	static MaskedImage Sprite;
	static HWND gWnd;

	static Sound TestSound;

	static float LastRenderTime;
};
